# PHYREG Union Reference

`#include <mios32_enc28j60_regs.h>`

## Data Fields
u16 | Val
struct {
unsigned __pad0__:8
unsigned PDPXMD:1
unsigned __pad1__:2
unsigned PPWRSV:1
unsigned __pad2__:2
unsigned PLOOPBK:1
unsigned PRST:1
} | PHCON1bits
struct {
unsigned __pad0__:1
unsigned JBSTAT:1
unsigned LLSTAT:1
unsigned __pad1__:5
unsigned __pad2__:3
unsigned PHDPX:1
unsigned PFDPX:1
unsigned __pad3__:3
} | PHSTAT1bits
struct {
unsigned PREV0:1
unsigned PREV1:1
unsigned PREV2:1
unsigned PREV3:1
unsigned PPN0:1
unsigned PPN1:1
unsigned PPN2:1
unsigned PPN3:1
unsigned PPN4:1
unsigned PPN5:1
unsigned PID19:1
unsigned PID20:1
unsigned PID21:1
unsigned PID22:1
unsigned PID23:1
unsigned PID24:1
} | PHID2bits
struct {
unsigned PREV:4
unsigned PPNL:4
unsigned PPNH:2
unsigned PID:6
} | PHID2bits2
struct {
unsigned __pad0__:8
unsigned HDLDIS:1
unsigned __pad1__:1
unsigned JABBER:1
unsigned __pad2__:2
unsigned TXDIS:1
unsigned FRCLNK:1
unsigned __pad3__:1
} | PHCON2bits
struct {
unsigned __pad0__:5
unsigned PLRITY:1
unsigned __pad1__:2
unsigned __pad2__:1
unsigned DPXSTAT:1
unsigned LSTAT:1
unsigned COLSTAT:1
unsigned RXSTAT:1
unsigned TXSTAT:1
unsigned __pad3__:2
} | PHSTAT2bits
struct {
unsigned __pad0__:1
unsigned PGEIE:1
unsigned __pad1__:2
unsigned PLNKIE:1
unsigned __pad2__:3
unsigned __pad3__:8
} | PHIEbits
struct {
unsigned __pad0__:2
unsigned PGIF:1
unsigned __pad1__:1
unsigned PLNKIF:1
unsigned __pad2__:3
unsigned __pad3__:8
} | PHIRbits
struct {
unsigned __pad0__:1
unsigned STRCH:1
unsigned LFRQ0:1
unsigned LFRQ1:1
unsigned LBCFG0:1
unsigned LBCFG1:1
unsigned LBCFG2:1
unsigned LBCFG3:1
unsigned LACFG0:1
unsigned LACFG1:1
unsigned LACFG2:1
unsigned LACFG3:1
unsigned __pad1__:4
} | PHLCONbits
struct {
unsigned __pad0__:1
unsigned STRCH:1
unsigned LFRQ:2
unsigned LBCFG:4
unsigned LACFG:4
unsigned __pad1__:4
} | PHLCONbits2

## Field Documentation

unsigned PHYREG::__pad0__

unsigned PHYREG::__pad1__

unsigned PHYREG::__pad2__

unsigned PHYREG::__pad3__

unsigned PHYREG::COLSTAT

unsigned PHYREG::DPXSTAT

unsigned PHYREG::FRCLNK

unsigned PHYREG::HDLDIS

unsigned PHYREG::JABBER

unsigned PHYREG::JBSTAT

unsigned PHYREG::LACFG

unsigned PHYREG::LACFG0

unsigned PHYREG::LACFG1

unsigned PHYREG::LACFG2

unsigned PHYREG::LACFG3

unsigned PHYREG::LBCFG

unsigned PHYREG::LBCFG0

unsigned PHYREG::LBCFG1

unsigned PHYREG::LBCFG2

unsigned PHYREG::LBCFG3

unsigned PHYREG::LFRQ

unsigned PHYREG::LFRQ0

unsigned PHYREG::LFRQ1

unsigned PHYREG::LLSTAT

unsigned PHYREG::LSTAT

unsigned PHYREG::PDPXMD

unsigned PHYREG::PFDPX

unsigned PHYREG::PGEIE

unsigned PHYREG::PGIF

struct { ... } PHYREG::PHCON1bits

struct { ... } PHYREG::PHCON2bits

unsigned PHYREG::PHDPX

struct { ... } PHYREG::PHID2bits

struct { ... } PHYREG::PHID2bits2

struct { ... } PHYREG::PHIEbits

struct { ... } PHYREG::PHIRbits

struct { ... } PHYREG::PHLCONbits

struct { ... } PHYREG::PHLCONbits2

struct { ... } PHYREG::PHSTAT1bits

struct { ... } PHYREG::PHSTAT2bits

unsigned PHYREG::PID

unsigned PHYREG::PID19

unsigned PHYREG::PID20

unsigned PHYREG::PID21

unsigned PHYREG::PID22

unsigned PHYREG::PID23

unsigned PHYREG::PID24

unsigned PHYREG::PLNKIE

unsigned PHYREG::PLNKIF

unsigned PHYREG::PLOOPBK

unsigned PHYREG::PLRITY

unsigned PHYREG::PPN0

unsigned PHYREG::PPN1

unsigned PHYREG::PPN2

unsigned PHYREG::PPN3

unsigned PHYREG::PPN4

unsigned PHYREG::PPN5

unsigned PHYREG::PPNH

unsigned PHYREG::PPNL

unsigned PHYREG::PPWRSV

unsigned PHYREG::PREV

unsigned PHYREG::PREV0

unsigned PHYREG::PREV1

unsigned PHYREG::PREV2

unsigned PHYREG::PREV3

unsigned PHYREG::PRST

unsigned PHYREG::RXSTAT

unsigned PHYREG::STRCH

unsigned PHYREG::TXDIS

unsigned PHYREG::TXSTAT

u16 PHYREG::Val

The documentation for this union was generated from the following file:

- include/mios32/mios32_enc28j60_regs.h